| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMError Class Reference

DOMError is an interface that describes an error. More...

List of all members.

## Public Types

Public constants
enum | ErrorSeverity { DOM_SEVERITY_WARNING = 0, DOM_SEVERITY_ERROR = 1, DOM_SEVERITY_FATAL_ERROR = 2 }
| The severity of the error described by the `DOMError`. More...

## Public Member Functions

Destructor
virtual | ~DOMError ()
| Destructor.
Functions introduced in DOM Level 3
virtual short | getSeverity () const =0
| Get the severity of the error.
virtual const XMLCh * | getMessage () const =0
| Get the message describing the error that occured.
virtual DOMLocator * | getLocation () const =0
| Get the location of the error.
virtual void * | getRelatedException () const =0
| The related platform dependent exception if any.
virtual const XMLCh * | getType () const =0
| A `XMLCh*` indicating which related data is expected in relatedData.
virtual void * | getRelatedData () const =0
| The related DOMError.type dependent data if any.
virtual void | setSeverity (const short severity)=0
| Set the severity of the error.
virtual void | setMessage (const XMLCh *const message)=0
| Set the error message.
virtual void | setLocation (DOMLocator *const location)=0
| Set the location of the error.
virtual void | setRelatedException (void *exc) const =0
| The related platform dependent exception if any.
virtual void | setType (const XMLCh *type)=0
| A `XMLCh*` indicating which related data is expected in relatedData.
virtual void | setRelatedData (void *relatedData)=0
| The related DOMError.type dependent data if any.

## Protected Member Functions

Hidden constructors
| DOMError ()

## Detailed Description

DOMError is an interface that describes an error.

See also:
  DOMErrorHandler::handleError

Since:
  DOM Level 3

## Member Enumeration Documentation

enum DOMError::ErrorSeverity

The severity of the error described by the `DOMError`.

Since:
  DOM Level 3

Enumerator:

  DOM_SEVERITY_WARNING |
  DOM_SEVERITY_ERROR |
  DOM_SEVERITY_FATAL_ERROR |

## Constructor & Destructor Documentation

DOMError::DOMError | ( |  | ) | `[protected]`

virtual DOMError::~DOMError | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual short DOMError::getSeverity | ( |  | ) | const`[pure virtual]`

Get the severity of the error.

"Experimental - subject to change"

See also:
  setSeverity

Since:
  DOM Level 3

virtual const XMLCh* DOMError::getMessage | ( |  | ) | const`[pure virtual]`

Get the message describing the error that occured.

"Experimental - subject to change"

See also:
  setMessage

Since:
  DOM Level 3

virtual DOMLocator* DOMError::getLocation | ( |  | ) | const`[pure virtual]`

Get the location of the error.

"Experimental - subject to change"

See also:
  setLocation

Since:
  DOM Level 3

virtual void* DOMError::getRelatedException | ( |  | ) | const`[pure virtual]`

The related platform dependent exception if any.

"Experimental - subject to change"

See also:
  setRelatedException

Since:
  DOM Level 3

virtual const XMLCh* DOMError::getType | ( |  | ) | const`[pure virtual]`

A `XMLCh*` indicating which related data is expected in relatedData.

Users should refer to the specification of the error in order to find its `XMLCh*` type and relatedData definitions if any.

Note: As an example, [DOM Level 3 Load and Save] does not keep the [baseURI] property defined on a Processing Instruction information item. Therefore, the DOMBuilder generates a SEVERITY_WARNING with type "infoset-baseURI" and the lost [baseURI] property represented as a DOMString in the relatedData attribute.

"Experimental - subject to change"

See also:
  setType

Since:
  DOM Level 3

virtual void* DOMError::getRelatedData | ( |  | ) | const`[pure virtual]`

The related DOMError.type dependent data if any.

"Experimental - subject to change"

See also:
  setRelatedData

Since:
  DOM Level 3

virtual void DOMError::setSeverity | ( | const short | severity | ) | `[pure virtual]`

Set the severity of the error.

"Experimental - subject to change"

Parameters:

  | severity | the type of the error to set

See also:
  getLocation

Since:
  DOM Level 3

virtual void DOMError::setMessage | ( | const XMLCh *const | message | ) | `[pure virtual]`

Set the error message.

"Experimental - subject to change"

Parameters:

  | message | the error message to set.

See also:
  getMessage

Since:
  DOM Level 3

virtual void DOMError::setLocation | ( | DOMLocator *const | location | ) | `[pure virtual]`

Set the location of the error.

"Experimental - subject to change"

Parameters:

  | location | the location of the error to set.

See also:
  getLocation

Since:
  DOM Level 3

virtual void DOMError::setRelatedException | ( | void * | exc | ) | const`[pure virtual]`

The related platform dependent exception if any.

"Experimental - subject to change"

Parameters:

  | exc | the related exception to set.

See also:
  getRelatedException

Since:
  DOM Level 3

virtual void DOMError::setType | ( | const XMLCh * | type | ) | `[pure virtual]`

A `XMLCh*` indicating which related data is expected in relatedData.

Users should refer to the specification of the error in order to find its `XMLCh*` type and relatedData definitions if any.

Note: As an example, [DOM Level 3 Load and Save] does not keep the [baseURI] property defined on a Processing Instruction information item. Therefore, the DOMBuilder generates a SEVERITY_WARNING with type "infoset-baseURI" and the lost [baseURI] property represented as a DOMString in the relatedData attribute.

"Experimental - subject to change"

See also:
  getType

Since:
  DOM Level 3

virtual void DOMError::setRelatedData | ( | void * | relatedData | ) | `[pure virtual]`

The related DOMError.type dependent data if any.

"Experimental - subject to change"

See also:
  getRelatedData

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMError.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.